Subject: Re: bug#9158: 24.0.50; Regression in e-mail heade completion

From: Stefan Monnier <[email-masked]>
Date: Mon, 22 Aug 2011 17:22:08 -0400

tags 9158 wontfix
thanks

> I get the message "completion for "foo" unfound" which is fine. The bug
> is that the cursor moves forward several spaces.  Apparently
> indent-relative gets called when it shouldn't.
> I expected the cursor to remain at the end of the entry that did not
> match.  It worked fine on 23.3.

The way the new code works can't handle this correctly because the BBDB
code doesn't indicate that something happened: it just always returns nil
whether something was done or not.
The new BBDB-3 has fixed this, AFAIK, so you may want to try that out.

        Stefan